[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.SaveToStream

Saves grid information to the specified stream.

## Declaration

Source position: grids.pas line 1373

`public procedure TCustomGrid.SaveToStream(`
`AStream: TStream`
`); virtual;`

## Arguments

`AStream` |  | TStream instance where grid information is stored.

## Description

SaveToStream is a method used to store information from the grid control to the TStream instance specified in AStream. SaveToStream creates a TXMLConfig class instance that is used to capture the layout, cell display settings, grid options, and range selections for the control.

SaveToStream calls the SaveContent method to generate the XML content for the grid control. The XML content is written to AStream using the WriteToStream method in TXMLConfig.

Use LoadFromStream to read the grid information stored in the stream.

## See also

TCustomGrid.SaveContent |  | Saves design-time configuration, column and row settings, and data to the specified XML configuration file.
TCustomGrid.SaveGridOptions |  | Saves grid options to the specified XML configuration file.
TCustomGrid.LoadFromStream |  | Loads grid data from the specified stream.
TXMLConfig.WriteToStream